=== modified file 'revisionview.py'
--- revisionview.py	2009-12-09 09:01:27 +0000
+++ revisionview.py	2009-12-09 13:27:53 +0000
@@ -51,13 +51,15 @@
             webbrowser._tryorder.insert(0, '%s "%%s"' % cmd)
     webbrowser.open(uri)
 
-#gtk.link_button_set_uri_hook(_open_link)
+if getattr(gtk, 'link_button_set_uri_hook', None) is not None:
+    # Not available before PyGtk-2.10
+    gtk.link_button_set_uri_hook(_open_link)
 
 class BugsTab(gtk.VBox):
 
     def __init__(self):
         super(BugsTab, self).__init__(False, 6)
-    
+
         table = gtk.Table(rows=2, columns=2)
 
         table.set_row_spacings(6)

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2009-12-09 09:01:27 +0000
+++ viz/branchwin.py	2009-12-09 13:27:53 +0000
@@ -1,11 +1,10 @@
-# -*- coding: UTF-8 -*-
 """Branch window.
 
 This module contains the code to manage the branch information window,
 which contains both the revision graph and details panes.
 """
 
-__copyright__ = "Copyright © 2005 Canonical Ltd."
+__copyright__ = "Copyright (c) 2005 Canonical Ltd."
 __author__    = "Scott James Remnant <scott@ubuntu.com>"
 
 
@@ -80,7 +79,9 @@
         self.accel_group = gtk.AccelGroup()
         self.add_accel_group(self.accel_group)
 
-#        gtk.Action.set_tool_item_type(gtk.MenuToolButton)
+        if getattr(gtk.Action, 'set_tool_item_type', None) is not None:
+            # Not available before PyGtk-2.10
+            gtk.Action.set_tool_item_type(gtk.MenuToolButton)
 
         self.prev_rev_action = gtk.Action("prev-rev", "_Previous Revision", "Go to the previous revision", gtk.STOCK_GO_DOWN)
         self.prev_rev_action.set_accel_path("<viz>/Go/Previous Revision")

